| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
Digikam::Graph< VertexProperties, EdgeProperties >::Vertex Class Reference

These two classes provide source-compatible wrappers for the vertex and edge descriptors, providing default construction to null and the isNull() method.

## Public Member Functions
| Vertex (const vertex_t &vv)
bool | isNull () const
| operator const vertex_t & () const
| operator vertex_t & ()
bool | operator!= (const vertex_t &other) const
Vertex & | operator= (const vertex_t &other)
bool | operator== (const vertex_t &other) const

## Protected Attributes
vertex_t | v